AsteriskNOW 3.0

By Malcolm Davenport
Share this:Share on Facebook12Tweet about this on TwitterShare on LinkedIn4Pin on Pinterest0

Today, a major update to AsteriskNOW is available. The older 2.x version is now replaced by the new AsteriskNOW 3.0. With the 3.0 release, many improvements are available including:

  • A new version of Asterisk (11 instead of 1.8)
  • A new distribution (CentOS 6.4 instead of CentOS 5.x)
  • A new version of FreePBX (2.11beta instead of 2.10)
  • A re-written Digium-phones addon module with many more options
  • Fixes for numerous issues, including the call detail records problem in the 2.x version.

AsteriskNOW 3.0 can be downloaded from the website at

For more information about using Digium phones with AsteriskNOW, please see the wiki pages here.

There Are 13 Comments

  • Markus says:


    how to update the older versions of AsteriskNow?
    We are running here quite a while now an AstersikNow but it seems there is currently now upgrade to the newest version – especially the PHP – the lastest modules say “PHP version 5.3.0 or higher is required, you have 5.1.6”.
    Right now the oly way seems a new installation but how to do that on a production system without any impact?

    Best Regards

  • You can’t. There is no upgrade path from CentOS 5.x to CentOS 6.x systems. See –

    It’s unsupported.

  • Cole says:

    Would it be possible to perhaps include a basic firewall configuration including fail2ban or something similar? Since this seems to be designed for people who may be less knowledgeable about setting up a system, those inclusions would help protect the system against intrusion. Most other Asterisk-based distributions do come with something like iptables and perhaps fail2ban already configured as part of the installation. Thanks.

  • It’s riding on top of vanilla CentOS 6.4, so you’re welcome to add whatever other scripts and packages you like. 🙂

  • tom says:

    I tried to install AsteriskNow 3 on Xenserver 6.1. Installation went well but it wouldn’t boot after the reboot. Anyone has the same issue? fix for it?

  • Now, DPMA 1.5.1 is available for AsteriskNOW 3.0 users; it’s just a ‘yum update’ away.

  • mohamad says:

    Hi I can’t get this to work on virtual box. Any ideas on how I could get this done? 🙂

  • Emon says:

    I install a PSTN Card Digium TDM400P PCIe (2FX0/2FXs) on my PC. How Can I make it work on this new AsteriskNow 3.0.0

  • Try the DAHDI add-on for FreePBX. Be aware that Digium EOL’d the TDM400 waaaaay back in February of 2008 (5 and a half years ago), and we stopped shipping it prior to that, so ymmv.

  • Joel Small says:

    @ Tom 25 March, some VPS farms don’t like it if grub is modified. Just a theory, don’t quote me or anything.

    I’m interested to switch to AsteriskNOW from elastix… particularly thanks to the newer version of CENTOS running underneath it.

  • Adilson says:

    queria testar e fazer um ambiente no virtualbox para testes mas estou com a seguinte mensagem de erro ” This kernel requires the following features not present on the cpu: pae unable to bot – please use a kernel appropriate for your cpu.

  • Tyler says:

    Is possible to upgrade dahdi module on asterisknow 3.0 ? can solve echo issue this upgrade?

    Thanks in advance

  • Tyler says:

    PS: i use ” fxotune -i -n 4 -b 1 -e 24 -p -vvv ” with tdm410 and echo issue improved

    i have 1 fxo and 3 fxs , what else do you advise me to do?

    Thanks staff

Add to the Discussion

Your email address will not be published. Required fields are marked *

About the Author

Malcolm Davenport

Digium lifer, celebrator of 16 Digium birthdays, and Digium employee #4. "I like te-lephony and I cannot lie. You other vendors can't deny; When a call comes in with MOS so you can't hear and some echo in your ear you get angry!" - Sir Mix-a-Malcolm

See All of Malcolm's Articles